# LOC\_BUILDER\_DD

`LOC_BUILDER_DD({})` actually takes an object with the following properties:

* label (optional, defaults to `@`)
* x (float32)
* y (float32)
* alt (float32, optional)
* ttl (optional)

A helper to build [`LOC`](/language-reference/domain-modifiers/loc.md) records. Supply four parameters instead of 12.

Internally assumes some defaults for [`LOC`](/language-reference/domain-modifiers/loc.md) records.

The cartesian coordinates are decimal degrees, like you typically find in e.g. Google Maps.

Examples.

Big Ben: `51.50084265331501, -0.12462541415599787`

The White House: `38.89775977858357, -77.03655125982903`

{% code title="dnsconfig.js" %}

```javascript
D("example.com", REG_MY_PROVIDER, DnsProvider(DSP_MY_PROVIDER),
  LOC_BUILDER_DD({
    label: "big-ben",
    x: 51.50084265331501,
    y: -0.12462541415599787,
    alt: 6,
  }),
  LOC_BUILDER_DD({
    label: "white-house",
    x: 38.89775977858357,
    y: -77.03655125982903,
    alt: 19,
  }),
  LOC_BUILDER_DD({
    label: "white-house-ttl",
    x: 38.89775977858357,
    y: -77.03655125982903,
    alt: 19,
    ttl: "5m",
  }),
);
```

{% endcode %}

Part of the series:

* [`LOC()`](/language-reference/domain-modifiers/loc.md) - build a `LOC` by supplying all 12 parameters
* [`LOC_BUILDER_DD({})`](/language-reference/domain-modifiers/loc_builder_dd.md) - accepts cartesian x, y
* [`LOC_BUILDER_DMS_STR({})`](/language-reference/domain-modifiers/loc_builder_dms_str.md) - accepts DMS 33°51′31″S 151°12′51″E
* [`LOC_BUILDER_DMM_STR({})`](/language-reference/domain-modifiers/loc_builder_dmm_str.md) - accepts DMM 25.24°S 153.15°E
* [`LOC_BUILDER_STR({})`](/language-reference/domain-modifiers/loc_builder_str.md) - tries the coordinate string in all `LOC_BUILDER_DM*_STR()` functions until one works


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dnscontrol.org/language-reference/domain-modifiers/loc_builder_dd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
